#include <iostream>

using namespace std;

int main()
{
    int N;
    cin >> N;
    int x[N], b[N];
    for(int i = 0; i < N; i++){
        cin >> x[i];
    }
    cout << "0";
    




    return 0;
}